Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::DomainManager_var Class Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA::DomainManager_var:

[legend]
Collaboration diagram for CORBA::DomainManager_var:

[legend]
List of all members.

## Public Methods
| DomainManager_var (void)
| DomainManager_var (DomainManager_ptr p)
| DomainManager_var (const DomainManager_var &)
| ~DomainManager_var (void)
DomainManager_var & | operator= (DomainManager_ptr)
DomainManager_var & | operator= (const DomainManager_var &)
DomainManager_ptr | operator-> (void) const
| operator const DomainManager_ptr & () const
| operator DomainManager_ptr & ()
DomainManager_ptr | in (void) const
DomainManager_ptr & | inout (void)
DomainManager_ptr & | out (void)
DomainManager_ptr | _retn (void)
DomainManager_ptr | ptr (void) const
## Static Public Methods
DomainManager_ptr | tao_duplicate (DomainManager_ptr)
void | tao_release (DomainManager_ptr)
DomainManager_ptr | tao_nil (void)
DomainManager_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DomainManager_var (const TAO_Base_var &rhs)
DomainManager_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DomainManager_ptr | ptr_

## Constructor & Destructor Documentation

CORBA::DomainManager_var::DomainManager_var | ( | void |  | ) |

CORBA::DomainManager_var::DomainManager_var | ( | DomainManager_ptr | p | ) | `[inline]`

CORBA::DomainManager_var::DomainManager_var | ( | const DomainManager_var & |  | ) |

CORBA::DomainManager_var::~DomainManager_var | ( | void |  | ) |

CORBA::DomainManager_var::DomainManager_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DomainManager_ptr CORBA::DomainManager_var::_retn | ( | void |  | ) |

DomainManager_ptr CORBA::DomainManager_var::in | ( | void |  | ) | const

DomainManager_ptr& CORBA::DomainManager_var::inout | ( | void |  | ) |

CORBA::DomainManager_var::operator const DomainManager_ptr & | ( |  | ) | const

CORBA::DomainManager_var::operator DomainManager_ptr & | ( |  | ) |

DomainManager_ptr CORBA::DomainManager_var::operator-> | ( | void |  | ) | const

DomainManager_var& CORBA::DomainManager_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DomainManager_var& CORBA::DomainManager_var::operator= | ( | const DomainManager_var & |  | ) |

CORBA::DomainManager_var & CORBA::DomainManager_var::operator= | ( | DomainManager_ptr | p | ) |

DomainManager_ptr& CORBA::DomainManager_var::out | ( | void |  | ) |

CORBA::DomainManager_ptr CORBA::DomainManager_var::ptr | ( | void |  | ) | const

DomainManager_ptr CORBA::DomainManager_var::tao_duplicate | ( | DomainManager_ptr |  | ) | `[static]`

DomainManager_ptr CORBA::DomainManager_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DomainManager_ptr CORBA::DomainManager_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA::DomainManager_var::tao_release | ( | DomainManager_ptr |  | ) | `[static]`

CORBA::Object* CORBA::DomainManager_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DomainManager_ptr CORBA::DomainManager_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.cpp